// This file is automatically generated.
#include "cssysdef.h"
#include "csutil/scf.h"

// Put static linking stuff into own section.
// The idea is that this allows the section to be swapped out but not
// swapped in again b/c something else in it was needed.
#if !defined(CS_DEBUG) && defined(CS_COMPILER_MSVC)
#pragma const_seg(".CSmetai")
#pragma comment(linker, "/section:.CSmetai,r")
#pragma code_seg(".CSmeta")
#pragma comment(linker, "/section:.CSmeta,er")
#pragma comment(linker, "/merge:.CSmetai=.CSmeta")
#endif

namespace csStaticPluginInit
{
static char const metainfo_shadermgr[] =
"<?xml version=\"1.0\"?>"
"<!-- shadermgr.csplugin -->"
"<plugin>"
"  <scf>"
"    <classes>"
"      <class>"
"        <name>crystalspace.graphics3d.shadermanager</name>"
"        <implementation>csShaderManager</implementation>"
"        <description>Shader manager</description>"
"      </class>"
"    </classes>"
"  </scf>"
"</plugin>"
;
  #ifndef csShaderManager_FACTORY_REGISTER_DEFINED 
  #define csShaderManager_FACTORY_REGISTER_DEFINED 
    SCF_DEFINE_FACTORY_FUNC_REGISTRATION(csShaderManager) 
  #endif

class shadermgr
{
SCF_REGISTER_STATIC_LIBRARY(shadermgr,metainfo_shadermgr)
  #ifndef csShaderManager_FACTORY_REGISTERED 
  #define csShaderManager_FACTORY_REGISTERED 
    csShaderManager_StaticInit csShaderManager_static_init__; 
  #endif
public:
 shadermgr();
};
shadermgr::shadermgr() {}

}
